### Function

# EDataServer xml_xpath_context_register_namespaces

since: 3.26

#### Declaration [src]

    void
    e_xml_xpath_context_register_namespaces (
      xmlXPathContext* xpath_ctx,
      const gchar* prefix,
      const gchar* href,
      ...
    )

#### Description [src]

Registers one or more additional namespaces. It’s a caller’s error to try to register a namespace with the same prefix again, unless the prefix uses the same namespace href.

Available since: 3.26

This function is not directly available to language bindings.

#### Parameters

`xpath_ctx`

  Type: `xmlXPathContext*`

  An #xmlXPathContextPtr.

  The data is owned by the caller of the function.

`prefix`

  Type: `const gchar*`

  Namespace prefix.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`href`

  Type: `const gchar*`

  Namespace href.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  `NULL`-terminated list of pairs (prefix, href) with additional namespaces.